Skip to main content
GET
/
gst
/
compliance
/
e-invoice
/
tax-payer
/
invoice
/
{irn}
/
e-way-bill
Get E-Way Bill by IRN
curl --request GET \
  --url https://api.sandbox.co.in/gst/compliance/e-invoice/tax-payer/invoice/{irn}/e-way-bill \
  --header 'authorization: <authorization>' \
  --header 'x-api-key: <x-api-key>'
import requests

url = "https://api.sandbox.co.in/gst/compliance/e-invoice/tax-payer/invoice/{irn}/e-way-bill"

headers = {
"authorization": "<authorization>",
"x-api-key": "<x-api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {authorization: '<authorization>', 'x-api-key': '<x-api-key>'}
};

fetch('https://api.sandbox.co.in/gst/compliance/e-invoice/tax-payer/invoice/{irn}/e-way-bill', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "code": 200,
  "data": {
    "Data": {
      "EwbDt": "2023-03-30 17:46:00",
      "EwbNo": 601010206231,
      "EwbValidTill": "2023-03-31 23:59:00",
      "GenGstin": "24AAAPI3182M002",
      "Status": "ACT"
    },
    "ErrorDetails": null,
    "InfoDtls": null,
    "Status": 1
  },
  "timestamp": 1763446641000,
  "transaction_id": "9266ba6d-6f2a-4d67-9ec1-9229b2c612e5"
}

Headers

authorization
string
required

E-Invoice access token. For token-generation steps, refer to the Generate E-Invoice Session recipe, then pass the token in the authorization header.

x-source
enum<string>
default:primary

Specifies the source to access, either primary (NIC 1) or secondary (NIC 2)

Available options:
primary,
secondary
Example:

"primary"

x-proxy
enum<string>

Enables criss-cross operations by routing requests through the specified source (e.g., access primary via secondary if primary is unavailable)

Available options:
primary,
secondary
Example:

"secondary"

x-api-version
string
default:1.0.0

API version

x-api-key
string
required

API key for identification

Path Parameters

irn
string
required

Response

200 - application/json

200 Get EWB / 4005 EWB not found

code
number
Example:

200

data
object
timestamp
number
Example:

1763446641000

transaction_id
string
Example:

"9266ba6d-6f2a-4d67-9ec1-9229b2c612e5"